%global git_date  20241218
%global git_hash  ed76c8f

%global git_ver  libxfce4util

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     libxfce4util
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Extension library for Xfce
License:  GPLv2-or-later
URL:      https://gitlab.xfce.org/xfce/libxfce4util.git
Source:   %{url}/%{src_name}

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala
BuildRequires:  make
BuildRequires:  xfce4-dev-tools


%description
libxfce4util is used to share commonly used non-GTK+ utilities among the Xfce applications.


%package devel
Summary: Developpment tools for libxfce4util library
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: gtk3-devel
Requires: pkgconfig


%description devel
This package includes static libraries and header files for the
libxfce4util library.


%prep
%autosetup -p1 -n %{name}


%build
./autogen.sh
%configure --disable-static --enable-maintainer-mode --enable-gtk-doc
%make_build


%install
%make_install


%find_lang %{name}

%ldconfig_scriptlets


%files -f %{name}.lang
%doc README.md
%license COPYING
%{_libdir}/lib*.so.*
%{_sbindir}/xfce4-kiosk-query
%{_libdir}/girepository-1.0/Libxfce4util-1.0.typelib
%{_datadir}/gir-1.0/Libxfce4util-1.0.gir
%{_datadir}/vala/vapi/libxfce4util-1.0.vapi


%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4
%doc %{_datadir}/gtk-doc/

%changelog
%autochangelog
